@version 2.13

options
{
    itemname = "(none)";
    nullshape = 1;
    nullaxis = 1;
    nullfilled = false;
    nullxray = false;
    nulllabel = """";
    nulljustify = 1;
    nulldraw = nil;
    nullSelColorFlag = false;
    nullselcolor = <0,0,0>;
    nullUnSelColorFlag = false;
    nullUnSelColor = <0,0,0>;
    nullTextColorFlag = false;
    nullTextColor = <0,0,0>;
    nullScale = 1.0;
    nullOpacity = 100;
    nullParent = false;
    nullitemshape = false;

    reqbegin("My Requester");
    reqsize(386,309);

    c1 = ctlstring("Item Name",itemname);
    ctlposition(c1,21,7,348,19);

    c2 = ctlpopup("Shape",nullshape,@"Standard","Box","Ball","Pyramid","Diamond","Tetrahedron","Ring","Grid","None"@);
    ctlposition(c2,3,57);

    s1 = ctlsep(17,359);
    ctlposition(s1,17,27,359,5);

    c3 = ctlchoice("Axis",nullaxis,@"X","Y","Z"@);
    ctlposition(c3,2,81);

    c4 = ctlcheckbox("Filled",nullfilled);
    ctlposition(c4,188,81);

    c5 = ctlcheckbox("X Ray",nullxray);
    ctlposition(c5,271,82);

    s2 = ctlsep(13,365);
    ctlposition(s2,13,171,365,5);

    c6 = ctlstring("Label",nulllabel);
    ctlposition(c6,19,116,222,19);

    c7 = ctlpopup("Justification",nulljustify,@"Left","Center","Right"@);
    ctlposition(c7,20,142);

    c8 = ctlallitems("Draw To",nulldraw);
    ctlposition(c8,200,142);

    s3 = ctlsep(12,367);
    ctlposition(s3,12,106,367,5);

    c9 = ctlcheckbox("Selected Color",nullSelColorFlag);
    ctlposition(c9,64,184,118,18);

    c10 = ctlcolor(" ",nullselcolor);
    ctlposition(c10,190,184,133,20);

    c11 = ctlcheckbox("Unselected Color",nullUnSelColorFlag);
    ctlposition(c11,65,209,117,18);

    c12 = ctlcolor(" ",nullUnSelColor);
    ctlposition(c12,187,212,136,19);

    c13 = ctlcheckbox("Text Color",nullTextColorFlag);
    ctlposition(c13,68,235,114,20);

    c14 = ctlcolor(" ",nullTextColor);
    ctlposition(c14,187,237,136,18);

    c15 = ctldistance("Scale",nullScale);
    ctlposition(c15,196,57);

    c16 = ctlpercent("Opacity",nullOpacity);
    ctlposition(c16,173,263);

    c17 = ctlcheckbox("Parent to Selected",nullParent);
    ctlposition(c17,253,117,120,19);

    c18 = ctlcheckbox("Add Item Shape",nullitemshape);
    ctlposition(c18,145,33,114,17);

    return if !reqpost();

    itemname = getvalue(c1);
    nullshape = getvalue(c2);
    nullaxis = getvalue(c3);
    nullfilled = getvalue(c4);
    nullxray = getvalue(c5);
    nulllabel = getvalue(c6);
    nulljustify = getvalue(c7);
    nulldraw = getvalue(c8);
    nullSelColorFlag = getvalue(c9);
    nullselcolor = getvalue(c10);
    nullUnSelColorFlag = getvalue(c11);
    nullUnSelColor = getvalue(c12);
    nullTextColorFlag = getvalue(c13);
    nullTextColor = getvalue(c14);
    nullScale = getvalue(c15);
    nullOpacity = getvalue(c16);
    nullParent = getvalue(c17);
    nullitemshape = getvalue(c18);

    reqend();
}
